專案與內容
關聯專案素材
將既有素材以 identity、source 或 reference 關係連結至專案。需要 editor 角色及 idempotency_key。
POST /studio-api/projects/assets/link契約檢閱日期: · sha256:563d2d581da0ad29
概覽
將既有素材以 identity、source 或 reference 關係連結至專案。需要 editor 角色及 idempotency_key。
成功 HTTP 回應可能表示請求已接受,並非已完成。背景工作請儲存回傳 ID,持續檢查同一操作直到完成。已排程或已接受的貼文,只有平台確認後才算已發布;用戶端逾時無法證明結果。
驗證與權限
權杖只能使用其擁有者持有的權利。每次請求會檢查工作空間成員資格、資源擁有權、所選工作空間及已授予能力。core 與 full 設定檔只變更顯示的工具,不會授予存取權。
請求欄位
「必填」是指在其父物件及所選分支內必填。必填子欄位不會使選填父物件變成必填。下列規則與欄位名稱均複製自契約。
| 欄位 / 分支 | 類型 / 必填 | 約束 |
|---|---|---|
$ | object在父物件中必填 |
|
project_id | string在父物件中必填 |
|
asset_id | integer在父物件中必填 |
|
relationship | string在父物件中必填 |
|
idempotency_key | string在父物件中必填 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"project_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"asset_id": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"relationship": {
"type": "string",
"enum": [
"identity",
"source",
"reference"
]
},
"idempotency_key": {
"type": "string",
"minLength": 8,
"maxLength": 160
}
},
"required": [
"project_id",
"asset_id",
"relationship",
"idempotency_key"
],
"additionalProperties": false
}回應與完成
成功 HTTP 狀態:200。操作完成時: synchronous_http_response.
成功 HTTP 回應可能表示請求已接受,並非已完成。背景工作請儲存回傳 ID,持續檢查同一操作直到完成。已排程或已接受的貼文,只有平台確認後才算已發布;用戶端逾時無法證明結果。
「必填」是指在其父物件及所選分支內必填。必填子欄位不會使選填父物件變成必填。下列規則與欄位名稱均複製自契約。
| 欄位 / 分支 | 類型 / 必填 | 約束 |
|---|---|---|
$ | object在父物件中必填 | — |
contract_version | string在父物件中必填 |
|
link | object | null在父物件中必填 | — |
linkanyOf 1 | object在父物件中必填 | — |
link.workspace_idanyOf 1 | string在父物件中必填 |
|
link.project_idanyOf 1 | string在父物件中必填 |
|
link.asset_idanyOf 1 | integer在父物件中必填 |
|
link.relationshipanyOf 1 | string在父物件中必填 |
|
link.sourceanyOf 1 | string在父物件中必填 |
|
link.created_byanyOf 1 | string | null在父物件中必填 | — |
link.created_byanyOf 1 / anyOf 1 | string在父物件中必填 |
|
link.created_byanyOf 1 / anyOf 2 | null在父物件中必填 | — |
link.created_atanyOf 1 | string在父物件中必填 |
|
linkanyOf 2 | null在父物件中必填 | — |
receipt_id | string在父物件中必填 |
|
applied | boolean在父物件中必填 | — |
deduped | boolean在父物件中必填 | — |
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"contract_version": {
"type": "string",
"const": "project/v1"
},
"link": {
"anyOf": [
{
"type": "object",
"properties": {
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"project_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"asset_id": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"relationship": {
"type": "string",
"enum": [
"identity",
"source",
"reference"
]
},
"source": {
"type": "string",
"enum": [
"user",
"api_key",
"delegated_ai",
"migration",
"scheduled_post",
"project_default"
]
},
"created_by": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
}
},
"required": [
"workspace_id",
"project_id",
"asset_id",
"relationship",
"source",
"created_by",
"created_at"
]
},
{
"type": "null"
}
]
},
"receipt_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"applied": {
"type": "boolean"
},
"deduped": {
"type": "boolean"
}
},
"required": [
"contract_version",
"link",
"receipt_id",
"applied",
"deduped"
]
}錯誤與安全重試
檢查 HTTP 狀態和回應內容。400 驗證錯誤可能包含 ZodError;處理常式錯誤使用 error、message 和 code 欄位。保留 request_id 或 x-request-id 以便診斷,但不要保留憑證。先解決 401/403 存取錯誤再重試,並在收到 429 時遵循 Retry-After。如寫入結果不確定或回傳 5xx,先讀取現有結果。僅在支援時重複使用冪等鍵;重試行為因操作而異,並不保證恰好傳送一次。
故障排查指南範例
這些範例使用已依結構描述檢查的虛構值。請將 ID 替換為您有權使用的 ID、將媒體替換為已就緒素材,並將日期替換為已確認的發布時間。提交寫入前,請檢查帳號資格。本頁不會傳送 API 請求。
在伺服器上將 SOSOAPI_ACCESS_TOKEN 設為此操作接受的憑證,且不要放入瀏覽器程式碼。代理程式請使用 sosoapi auth login 透過瀏覽器登入,並由 CLI 更新憑證。
request.json
{
"project_id": "11111111-1111-4111-8111-111111111111",
"asset_id": 1,
"relationship": "identity",
"idempotency_key": "example-intent-0001"
}cURL
curl --request POST \
"https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/projects/assets/link" \
-H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
--data-binary @request.jsonJavaScript
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/projects/assets/link", {
method: "POST",
headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
body: JSON.stringify({
"project_id": "11111111-1111-4111-8111-111111111111",
"asset_id": 1,
"relationship": "identity",
"idempotency_key": "example-intent-0001"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.CLI
npx sosoapi api post /studio-api/projects/assets/link < request.json合成回應範例
{
"contract_version": "project/v1",
"link": null,
"receipt_id": "11111111-1111-4111-8111-111111111111",
"applied": false,
"deduped": false
}